Page MenuHomePhabricator

Configuration error on user rights for he.wiktionary
Closed, ResolvedPublic

Description

On T75197 they enabled patrolled edits on he.wiktionary.org and sysops were assigned to add the new groups. But working on another task I noticed that in InitialiseSettings.php no local usergroup can remove those user rights created. It makes sense to add to the sysop group on he.wiktionary.org the ability to also remove the autopatroller and patroller usergroups, otherwise they'd need a steward to do it.

Event Timeline

Restricted Application added subscribers: Zppix, JEumerus, Aklapper. · View Herald TranscriptJul 17 2016, 2:43 PM

Do they have local bureaucrats?

MarcoAurelio added a comment.EditedJul 17 2016, 3:02 PM

Do they have local bureaucrats?

Yes they do. Two to be more specific. However they are not able to remove but the bot usergroup on that project. As InitialiseSettings.php indicates, none is able to remove such rights locally, and it looks a bit overkill for those two petty permissions to request removal of them at Meta.

Dereckson added a comment.EditedJul 17 2016, 3:04 PM

Would then make sense to ask the he.wikt community if they want to grant sysops or bubus the ability to remove the right.

I think this is too many bureaucracy but here it is. I also poked @Matanya there, which requested the changes here on behalf of the community. Thanks.

If the translator isn't failing, I think that they agree with sysops being able to also remove those rights. Is that right @Matanya?

Yes. I submitted a patch to do so (https://gerrit.wikimedia.org/r/302054)

Change 302054 had a related patch set uploaded (by Matanya):
Allow sysops on he.wiktionary to remove autopatroller and patroller user rights.

https://gerrit.wikimedia.org/r/302054

Change 302054 merged by jenkins-bot:
Allow sysops on he.wiktionary to remove autopatroller and patroller user rights.

https://gerrit.wikimedia.org/r/302054

Mentioned in SAL [2016-08-01T15:11:43Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:302054|Allow sysops on he.wiktionary to remove autopatroller and patroller user rights (T140563)]] (duration: 00m 30s)

MarcoAurelio closed this task as Resolved.Aug 1 2016, 3:23 PM
MarcoAurelio claimed this task.

Patch deployed.